# Interface IRuntimeContainerComparator

@Deprecated public interface IRuntimeContainerComparator
Deprecated.
support has been added to `ClasspathContainerInitializer` to handle comparison of classpath containers. Use `ClasspathContainerInitializer.getComparisonID(IPath,IJavaProject)`. When a classpath container implements this interface, this interface is used to determine equality before using the support defined in `ClasspathContainerInitializer`.
Determines if container entries are duplicates/redundant on a runtime classpath. If an `IClasspathContianer` implements this interface, the `isDuplicate` method is used to determine if containers are duplicates/redundant. Otherwise, containers with the same identifier are considered duplicates.

Since:
  2.0.1

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isDuplicate(org.eclipse.core.runtime.IPath containerPath)`
Deprecated.

## Method Details

### isDuplicate

@Deprecated boolean isDuplicate(org.eclipse.core.runtime.IPath containerPath)
Deprecated.
Returns whether this container is a duplicate of the container identified by the given path.

Parameters:
  `containerPath` - the container to compare against
Returns:
  whether this container is a duplicate of the container identified by the given path